View Issue Details

IDProjectCategoryView StatusLast Update
0020817mantisbtpreferencespublic2016-06-12 00:42
ReportercproensaAssigned Todregad 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-rc.1 
Target Version1.3.0-rc.2Fixed in Version1.3.0-rc.2 
Summary0020817: account update issue, when updating several user fields on same form
Description

When user updates his main user data (account_page.php), modifying several fields, a situation mayhappen where an error is triggered due to invalid data, but still some fields were updated

For example:
Updating user realname and new password, in the same form.
If the typed password is not valid (does not match, etc), realname was still updated

TagsNo tags attached.

Activities

cproensa

cproensa

2016-04-17 15:31

developer   ~0052969

Fix included in pr:
https://github.com/mantisbt/mantisbt/pull/735

Related Changesets

MantisBT: master 777f5e81

2016-04-17 15:26:00

cproensa


Committer: dregad Details Diff
Only update user data if all fields are valid

On user account update, first verify all submitted fields, and only
update the data if they are valid.

Fixes 0020817
mod - account_update.php Diff File

Issue History

Date Modified Username Field Change
2016-04-17 13:04 cproensa New Issue
2016-04-17 15:31 cproensa Note Added: 0052969
2016-05-14 12:30 dregad Changeset attached => MantisBT master 777f5e81
2016-05-14 12:30 dregad Assigned To => dregad
2016-05-14 12:30 dregad Status new => resolved
2016-05-14 12:30 dregad Resolution open => fixed
2016-05-14 12:30 dregad Fixed in Version => 1.3.0-rc.2
2016-05-14 15:24 atrol Target Version => 1.3.0-rc.2
2016-06-12 00:42 vboctor Status resolved => closed